Add flext methods
Declarations for flext methods

## Macros

#define | FLEXT_ADDTIMER(TMR, M_FUN)
| Set timer callback. More...
#define | FLEXT_ADDDIST()
| Enable list element distribution over inlets (if no better handler found) More...
#define | FLEXT_ADDBANG(IX, M_FUN)
| Add a method handler for bang. More...
#define | FLEXT_ADDMETHOD(IX, M_FUN)
| Add a handler for a method with either no, list or anything arguments. More...
#define | FLEXT_ADDMETHOD_V(IX, M_FUN)
| Add a handler for a method with a (variable argument) list. More...
#define | FLEXT_ADDMETHOD_A(IX, M_FUN)
| Add a handler for a method with an anything argument. More...
#define | FLEXT_ADDMETHOD_(IX, M_TAG, M_FUN)
| Add a a handler for a tagged method with implicit arguments. More...
#define | FLEXT_ADDMETHOD_E(IX, M_TAG, M_FUN)
| Add a handler for a method with 1 enum type argument. More...
#define | FLEXT_ADDMETHOD_1(IX, M_TAG, M_FUN, TP1)
| Add a handler for a method with 1 argument. More...
#define | FLEXT_ADDMETHOD_2(IX, M_TAG, M_FUN, TP1, TP2)
| Add a handler for a method with 2 arguments. More...
#define | FLEXT_ADDMETHOD_3(IX, M_TAG, M_FUN, TP1, TP2, TP3)
| Add a handler for a method with 3 arguments. More...
#define | FLEXT_ADDMETHOD_4(IX, M_TAG, M_FUN, TP1, TP2, TP3, TP4)
| Add a handler for a method with 4 arguments. More...
#define | FLEXT_ADDMETHOD_5(IX, M_TAG, M_FUN, TP1, TP2, TP3, TP4, TP5)
| Add a handler for a method with 5 arguments. More...
#define | FLEXT_ADDMETHOD_B(IX, M_TAG, M_FUN)
| Add a handler for a method with a boolean argument. More...
#define | FLEXT_ADDMETHOD_F(IX, M_TAG, M_FUN)
| Add a handler for a method with 1 float argument. More...
#define | FLEXT_ADDMETHOD_FF(IX, M_TAG, M_FUN)
| Add a handler for a method with 2 float arguments. More...
#define | FLEXT_ADDMETHOD_FFF(IX, M_TAG, M_FUN)
| Add a handler for a method with 3 float arguments. More...
#define | FLEXT_ADDMETHOD_I(IX, M_TAG, M_FUN)
| Add a handler for a method with 1 integer argument. More...
#define | FLEXT_ADDMETHOD_II(IX, M_TAG, M_FUN)
| Add a handler for a method with 2 integer arguments. More...
#define | FLEXT_ADDMETHOD_III(IX, M_TAG, M_FUN)
| Add a handler for a method with 3 integer arguments. More...

## Detailed Description

Note
  These can only be used at object construction time
  (in constructor or in Init() function before call to parent's Init())

## Macro Definition Documentation

## FLEXT_ADDBANG

#define FLEXT_ADDBANG | ( |  | IX,
|  |  | M_FUN
| ) |  |

Value:
\
flext_base::AddMethod(IX,"bang",FLEXT_CALL_PRE(M_FUN))
flext_base::AddMethod
void AddMethod(int inlet, bool(*m)(flext_base *))
Definition: flclass.h:419
FLEXT_CALL_PRE
#define FLEXT_CALL_PRE(F)
Definition: flbase.h:336

Add a method handler for bang.

## FLEXT_ADDDIST

#define FLEXT_ADDDIST | ( |  | ) |

Value:
\
flext_base::SetDist(true)
flext_base::SetDist
static void SetDist(t_classid c, bool d=true)
Set Max/MSP style of distributing list elements over (message) inlets.
Definition: fllib.cpp:626

Enable list element distribution over inlets (if no better handler found)

## FLEXT_ADDMETHOD

#define FLEXT_ADDMETHOD | ( |  | IX,
|  |  | M_FUN
| ) |  |

Value:
\
flext_base::AddMethod(IX,FLEXT_CALL_PRE(M_FUN))

Add a handler for a method with either no, list or anything arguments.

## FLEXT_ADDMETHOD_

#define FLEXT_ADDMETHOD_ | ( |  | IX,
|  |  | M_TAG,
|  |  | M_FUN
| ) |  |

Value:
\
flext_base::AddMethod(IX,flext::MakeSymbol(M_TAG),FLEXT_CALL_PRE(M_FUN))

Add a a handler for a tagged method with implicit arguments.

## FLEXT_ADDMETHOD_1

#define FLEXT_ADDMETHOD_1 | ( |  | IX,
|  |  | M_TAG,
|  |  | M_FUN,
|  |  | TP1
| ) |  |

Value:
\
flext_base::AddMethod(ThMeths(),IX,flext::MakeSymbol(M_TAG),(methfun)(FLEXT_CALL_PRE(M_FUN)),FLEXTARG(TP1),a_null)
FLEXTARG
#define FLEXTARG(TP)
Definition: flbase.h:620

Add a handler for a method with 1 argument.

## FLEXT_ADDMETHOD_2

#define FLEXT_ADDMETHOD_2 | ( |  | IX,
|  |  | M_TAG,
|  |  | M_FUN,
|  |  | TP1,
|  |  | TP2
| ) |  |

Value:
\
flext_base::AddMethod(ThMeths(),IX,flext::MakeSymbol(M_TAG),(methfun)(FLEXT_CALL_PRE(M_FUN)),FLEXTARG(TP1),FLEXTARG(TP2),a_null)

Add a handler for a method with 2 arguments.

## FLEXT_ADDMETHOD_3

#define FLEXT_ADDMETHOD_3 | ( |  | IX,
|  |  | M_TAG,
|  |  | M_FUN,
|  |  | TP1,
|  |  | TP2,
|  |  | TP3
| ) |  |

Value:
\
flext_base::AddMethod(ThMeths(),IX,flext::MakeSymbol(M_TAG),(methfun)(FLEXT_CALL_PRE(M_FUN)),FLEXTARG(TP1),FLEXTARG(TP2),FLEXTARG(TP3),a_null)

Add a handler for a method with 3 arguments.

## FLEXT_ADDMETHOD_4

#define FLEXT_ADDMETHOD_4 | ( |  | IX,
|  |  | M_TAG,
|  |  | M_FUN,
|  |  | TP1,
|  |  | TP2,
|  |  | TP3,
|  |  | TP4
| ) |  |

Value:
\
flext_base::AddMethod(ThMeths(),IX,flext::MakeSymbol(M_TAG),(methfun)(FLEXT_CALL_PRE(M_FUN)),FLEXTARG(TP1),FLEXTARG(TP2),FLEXTARG(TP3),FLEXTARG(TP4),a_null)

Add a handler for a method with 4 arguments.

## FLEXT_ADDMETHOD_5

#define FLEXT_ADDMETHOD_5 | ( |  | IX,
|  |  | M_TAG,
|  |  | M_FUN,
|  |  | TP1,
|  |  | TP2,
|  |  | TP3,
|  |  | TP4,
|  |  | TP5
| ) |  |

Value:
\
flext_base::AddMethod(ThMeths(),IX,flext::MakeSymbol(M_TAG),(methfun)(FLEXT_CALL_PRE(M_FUN)),FLEXTARG(TP1),FLEXTARG(TP2),FLEXTARG(TP3),FLEXTARG(TP4),FLEXTARG(TP5),a_null)

Add a handler for a method with 5 arguments.

## FLEXT_ADDMETHOD_A

#define FLEXT_ADDMETHOD_A | ( |  | IX,
|  |  | M_FUN
| ) |  |

Value:
\
flext_base::AddMethod(IX,FLEXT_CALL_PRE(M_FUN))

Add a handler for a method with an anything argument.

Deprecated:
  This definition obscures that _ indicates the usage of a message tag - use FLEXT_ADDMETHOD instead

Note
  This is already covered by FLEXT_ADDMETHOD, but here for the sake of clarity

## FLEXT_ADDMETHOD_B

#define FLEXT_ADDMETHOD_B | ( |  | IX,
|  |  | M_TAG,
|  |  | M_FUN
| ) |  |

Value:
\
FLEXT_ADDMETHOD_1(IX,flext::MakeSymbol(M_TAG),M_FUN,bool)

Add a handler for a method with a boolean argument.

## FLEXT_ADDMETHOD_E

#define FLEXT_ADDMETHOD_E | ( |  | IX,
|  |  | M_TAG,
|  |  | M_FUN
| ) |  |

Value:
\
flext_base::AddMethod(ThMeths(),IX,flext::MakeSymbol(M_TAG),(methfun)(FLEXT_CALL_PRE(M_FUN)),a_int,a_null)

Add a handler for a method with 1 enum type argument.

## FLEXT_ADDMETHOD_F

#define FLEXT_ADDMETHOD_F | ( |  | IX,
|  |  | M_TAG,
|  |  | M_FUN
| ) |  |

Value:
\
FLEXT_ADDMETHOD_1(IX,flext::MakeSymbol(M_TAG),M_FUN,float)

Add a handler for a method with 1 float argument.

## FLEXT_ADDMETHOD_FF

#define FLEXT_ADDMETHOD_FF | ( |  | IX,
|  |  | M_TAG,
|  |  | M_FUN
| ) |  |

Value:
\
FLEXT_ADDMETHOD_2(IX,flext::MakeSymbol(M_TAG),M_FUN,float,float)

Add a handler for a method with 2 float arguments.

## FLEXT_ADDMETHOD_FFF

#define FLEXT_ADDMETHOD_FFF | ( |  | IX,
|  |  | M_TAG,
|  |  | M_FUN
| ) |  |

Value:
\
FLEXT_ADDMETHOD_3(IX,flext::MakeSymbol(M_TAG),M_FUN,float,float,float)

Add a handler for a method with 3 float arguments.

## FLEXT_ADDMETHOD_I

#define FLEXT_ADDMETHOD_I | ( |  | IX,
|  |  | M_TAG,
|  |  | M_FUN
| ) |  |

Value:
\
FLEXT_ADDMETHOD_1(IX,flext::MakeSymbol(M_TAG),M_FUN,int)

Add a handler for a method with 1 integer argument.

## FLEXT_ADDMETHOD_II

#define FLEXT_ADDMETHOD_II | ( |  | IX,
|  |  | M_TAG,
|  |  | M_FUN
| ) |  |

Value:
\
FLEXT_ADDMETHOD_2(IX,flext::MakeSymbol(M_TAG),M_FUN,int,int)

Add a handler for a method with 2 integer arguments.

## FLEXT_ADDMETHOD_III

#define FLEXT_ADDMETHOD_III | ( |  | IX,
|  |  | M_TAG,
|  |  | M_FUN
| ) |  |

Value:
\
FLEXT_ADDMETHOD_3(IX,flext::MakeSymbol(M_TAG),M_FUN,int,int,int)

Add a handler for a method with 3 integer arguments.

## FLEXT_ADDMETHOD_V

#define FLEXT_ADDMETHOD_V | ( |  | IX,
|  |  | M_FUN
| ) |  |

Value:
\
flext_base::AddMethod(IX,FLEXT_CALL_PRE(M_FUN))

Add a handler for a method with a (variable argument) list.

Deprecated:
  This definition obscures that _ indicates the usage of a message tag - use FLEXT_ADDMETHOD instead

Note
  This is already covered by FLEXT_ADDMETHOD, but here for the sake of clarity

## FLEXT_ADDTIMER

#define FLEXT_ADDTIMER | ( |  | TMR,
|  |  | M_FUN
| ) |  |

Value:
\
TMR.SetCallback(*this,FLEXT_CALL_PRE(M_FUN))

Set timer callback.